Subject: sdr2.1a12 on Win 95

From: Mark Handley <[email-masked]>
Date: Fri, 31 May 96 15:20:36 +0100

If you're using sdr under Unix or Nextstep, this message doesn't
concern you.

This RTP/SDP announcement incompatibility is turning into an FAQ... so
I'm re-sending my original message which includes the .sdr.tcl fix to
make a sdr 2.1a12 *receive* sdr 2.2 announcements correctly.

I haven't tried this on Windows 95 myself, but Dave Price assures me
it does work:

>	The MS sdr needs a variable set in the environment
> called    HOME   set to a path and using forward slashes
> etc. This is mentioned in the readme.txt and appears to be very
> crucial.....   You need to get the PC file actually called
> .sd.tcl with both dots etc, which does work on Win95.

I believe Dave Bassett at University of Virginia is working on an sdr
2.2a9 port following on from his excellent work on the current 2.1
port, so I hope this fix is just a stopgap solution.

Mark

------- Forwarded Message

From: Mark Handley <[email-masked]>
X-Organisation: University College London, CS Dept.
X-Phone: +44 171 419 3666
To: [email-masked]
Subject: sdr V2.2a2 alpha release
Date: Sun, 14 Apr 1996 23:33:39 +0100
Message-ID: <[email-masked]>
Sender: [email-masked]

There's a new alpha release of sdr (2.2a2) now in
ftp://cs.ucl.ac.uk/mice/sdr/
for SunOS{4,5} Irix, HPUX and OSF1.

This version of sdr includes the SDP changes related to describing RTP
sessions that were discussed on the confctrl mailing list and the LA
IETF.  Thus, when it makes announcements of RTP media streams, the
protocol and format fields will not be what sdr2.1a12 is expecting.
sdr2.1 will receive the announcements OK, but won't be able to start
the audio/video tools.  sdr2.2 will cope with either old or new
announcements.

** If you want to continue running sdr2.1a12 because there's no 2.2
** binary available yet for your platform, use the .sdr.tcl insert at
** the end of this message.

The main changes in 2.2 are this RTP change and a totally new way of
configuring new tools/media/formats/menus/etc that should be much
better than the old .sdr.tcl method.  If you had any changes to
.sdr.tcl to support new tools/formats, they will no longer work with
sdr2.2, and you'll have to read the built-in help about sdr plug-ins.

.... <stuff deleted>

As always, please let me know if you have any problems or comments.

Mark

- --------
set rtpprotomap(0) pcm
set rtpprotomap(5) dvi
set rtpprotomap(3) gsm
set rtpprotomap(7) lpc4
set rtpprotomap(28) nv
set rtpprotomap(31) h261
set rtpprotomap(26) jpeg
set rtpprotomap(25) celb

proc start_audio {} {
      global sd_sess sd_audio use_vat rtpprotomap
      set audiofmt $sd_audio(fmt)
      if {$sd_audio(proto)=="RTP/AVP"} { 
	  set sd_audio(proto) rtp
	  set audiofmt $rtpprotomap($sd_audio(fmt))
      }
      if {$sd_audio(proto)=="rtp"} {
	  case $use_vat {
	      vat {
		  return [start_vat $audiofmt]
	      }
	      nevot {
		  return [start_nevot $audiofmt]
	      }
	      rat {
		  return [start_rat $audiofmt]
	      }
	  }
      } else {
	  return [start_vat $audiofmt]
      }
}

proc start_video {} {
      global sd_sess sd_video rtpprotomap
      set videofmt $sd_video(fmt)
      if {$sd_video(proto)=="RTP/AVP"} { 
	  set sd_video(proto) rtp
	  set videofmt $rtpprotomap($sd_video(fmt))
      }
      set videocompat rtp
      foreach a $sd_video(attributes) {
              case $a {
                      fmt:* { set videofmt [string range $a 4 end] }
              }
      }
      case $videofmt {
	      h261 { }
	      vic { set videofmt h261 }
              telesia { set videofmt ivs }
              jpg {
                      global imm
                      exec $imm -p $sd_video(port) -I $sd_video(address) \
			-ttl $sd_video(ttl) -n $sd_sess(name) &
		      return 1
              }
 
              nv {
                      global nv use_nv
		      if {$use_nv==1} {
			  #we wish to use nv
			  exec nice $nv -ttl $sd_video(ttl) \
			      $sd_video(address) $sd_video(port) &
			  return 1
		      }
		      #else we wish to use vic in nv compat mode
		      set videocompat nv
              }
              ivs {
                      global ivs use_ivs
		      if {$use_ivs==1} {
			  #we wish to use IVS
			  exec nice $ivs -T $sd_video(ttl) \
                              $sd_video(address)/$sd_video(port) &
			  return 1
		      }
		      #else we wish to use vic in IVS compat mode
		      set videofmt h261
		      set videocompat ivs
              }
	      default {
		  msgpopup [tt "$videofmt"] [tt "Unknown video format"]
		  return 0
	      }
	  }
      return [start_vic $videofmt $videocompat]
}

------- End of Forwarded Message